Package org.jfree.layouting.normalizer.displaymodel

## Class FlowContext

- java.lang.Object
- - org.jfree.layouting.normalizer.displaymodel.FlowContext

- All Implemented Interfaces:
    `java.lang.Cloneable`

      public class FlowContext
      extends java.lang.Object
      implements java.lang.Cloneable

  Creation-Date: Jan 5, 2007, 4:30:53 PM
  Author:
    Thomas Morgner

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static int` | `STATE_CLOSE` |
    `static int` | `STATE_OPEN` |
    `static int` | `STATE_SUSPEND` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FlowContext​()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addElement​(int model, int role, LayoutContext lc)` |
    `java.lang.Object` | `clone​()` |
    `int` | `close​()` |
    `int` | `getActiveDisplayModel​()` |
    `int` | `getCurrentDisplayModel​()` |
    `int` | `getCurrentDisplayRole​()` |
    `LayoutContext` | `getCurrentLayoutContext​()` |
    `int` | `getCurrentState​()` |
    `boolean` | `isEmpty​()` |
    `void` | `suspend​()` |

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATE_OPEN

          public static final int STATE_OPEN

      See Also:
        Constant Field Values

    - #### STATE_SUSPEND

          public static final int STATE_SUSPEND

      See Also:
        Constant Field Values

    - #### STATE_CLOSE

          public static final int STATE_CLOSE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FlowContext

          public FlowContext​()

  - ### Method Detail

    - #### addElement

          public void addElement​(int model,
                                 int role,
                                 LayoutContext lc)

    - #### getCurrentDisplayRole

          public int getCurrentDisplayRole​()

    - #### getCurrentDisplayModel

          public int getCurrentDisplayModel​()

    - #### getActiveDisplayModel

          public int getActiveDisplayModel​()

    - #### suspend

          public void suspend​()

    - #### close

          public int close​()

    - #### getCurrentLayoutContext

          public LayoutContext getCurrentLayoutContext​()

    - #### getCurrentState

          public int getCurrentState​()

    - #### clone

          public java.lang.Object clone​()
                                 throws java.lang.CloneNotSupportedException

      Overrides:
        `clone` in class `java.lang.Object`
      Throws:
        `java.lang.CloneNotSupportedException`

    - #### isEmpty

          public boolean isEmpty​()